nodes['home.rechenmonster'] = {
    'hostname': '172.19.138.98',
    'bundles': {
        'basic',
        'ipmitool',
        'nfs-server',
        'smartd',
        'systemd',
        'systemd-networkd',
        'systemd-timers',
        'telegraf',
        'users',
        'zfs',
    },
    'metadata': {
        'interfaces': {
            'br0': {
                'ips': {
                    '172.19.138.98/24',
                },
                'gateway4': '172.19.138.1',
                'ipv6_accept_ra': True,
            },
        },
        'icinga_options': {
            'exclude_from_monitoring': True,
        },
        'nfs-server': {
            'shares': {
                '/video': {
                    '172.19.138.0/24': 'ro,all_squash,anonuid=65534,anongid=65534,no_subtree_check',
                },
            },
        },
        'smartd': {
            'disks': {
                '/dev/disk/by-id/wwn-0x50025385a01e0795',
            },
        },
        'systemd-networkd': {
            'bonds': {
                'bond0': {
                    'match': {
                        'enp5*',
                    },
                },
            },
            'bridges': {
                'br0': {
                    'match': {
                        'bond0',
                    },
                },
            },
        },
        'users': {
            'kunsi': {
                'password': vault.decrypt('encrypt$gAAAAABgLmmuQGRUStrQawoPee-758emIYn2u8-8ebrgzNAFSp7ifeFDdXXvs-zL3QogwNYlCtBHboH2xfy1rSj6OF5bbNO-tg=='),
            },
            'sophie': {
                'password': vault.decrypt('encrypt$gAAAAABiEAyiedXL6ZnvelOMumhcB73X72SXZhjS_G0EDYVK5-NQ3_J_0h1W1HkFBNe5tShGNmg88jUiULRBn5u2IoiRGiDrYg=='),
            },
        },
        'zfs': {
            'module_options': {
                'zfs_arc_max_gb': 16,
            },
            'pools': {
                'storage': {
                    'when_creating': {
                        'config': [
                            {
                                'type': 'raidz2',
                                'devices': {
                                    '/dev/disk/by-id/scsi-35000c50057a2d787', # sda
                                    '/dev/disk/by-id/scsi-35000c500579053bf', # sdb
                                    '/dev/disk/by-id/scsi-35000c5005796c697', # sdc
                                    '/dev/disk/by-id/scsi-35000c50057a1c55b', # sdd
                                    '/dev/disk/by-id/scsi-35000c5005781a2e7', # sde
                                    '/dev/disk/by-id/scsi-35000c5005795ce2b', # sdf
                                    '/dev/disk/by-id/scsi-35000c50057a12fa3', # sdg
                                    '/dev/disk/by-id/scsi-35000c50057a19aa3', # sdh
                                },
                            },
                        ],
                        'ashift': 12,
                    },
                },
            },
            'datasets': {
                'storage/video': {
                    'mountpoint': '/video',
                },
            },
        },
    },
}
